#!/bin/bash

set -o errexit
set -o nounset
set -o pipefail

K3S_SERVER_TOKEN="/var/lib/rancher/k3s/server/token"
SQLITE_DATA_DIR="/var/lib/rancher/k3s/server/db"
BACKUP_DIR="/data/k3s_db/db-$(date +%Y-%m-%d-%H-%M-%S)"
KEEPBACKUPNUMBER='5'

[ ! -d $BACKUP_DIR ] && mkdir -p $BACKUP_DIR
cp -rf $SQLITE_DATA_DIR $K3S_SERVER_TOKEN $BACKUP_DIR

sleep 3

cd $BACKUP_DIR/../ && ls -lt |awk '{if(NR > '$KEEPBACKUPNUMBER'){print "rm -rf "$9}}'|sh

